Package com.ocient.jdbc.proto

# Class PlanProtocol.TableScanOperator

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
com.ocient.jdbc.proto.PlanProtocol.TableScanOperator

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.TableScanOperatorOrBuilder`, `Serializable`

Enclosing class:
  PlanProtocol

    public static final class PlanProtocol.TableScanOperator
    extends com.google.protobuf.GeneratedMessageV3
    implements PlanProtocol.TableScanOperatorOrBuilder

    Represents the reading of table data via a scan

Protobuf type `xg.db.sqlPlans.TableScanOperator`

See Also:
  Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type | Class | Description
--- | --- | ---
`static class` | `PlanProtocol.TableScanOperator.Builder` | Represents the reading of table data via a scan

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `COLNAMES_FIELD_NUMBER` |
`static int` | `COLTYPES_FIELD_NUMBER` |
`static int` | `COLUMNS_FIELD_NUMBER` |
`static int` | `DB_FIELD_NUMBER` |
`static int` | `LIMITVAL_FIELD_NUMBER` |
`static int` | `SCHEMA_FIELD_NUMBER` |
`static int` | `STORAGE_SPACE_UUID_FIELD_NUMBER` |
`static int` | `TABLE_UUID_FIELD_NUMBER` |
`static int` | `TABLENAME_FIELD_NUMBER` |
`static int` | `TIME_FILTERS_FIELD_NUMBER` |

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `containsColumns​(String key)` | The columns
`boolean` | `equals​(Object obj)` |
`String` | `getColNames​(int index)` | Deprecated.
`com.google.protobuf.ByteString` | `getColNamesBytes​(int index)` | Deprecated.
`int` | `getColNamesCount()` | Deprecated.
`com.google.protobuf.ProtocolStringList` | `getColNamesList()` | Deprecated.
`String` | `getColTypes​(int index)` | Deprecated.
`com.google.protobuf.ByteString` | `getColTypesBytes​(int index)` | Deprecated.
`int` | `getColTypesCount()` | Deprecated.
`com.google.protobuf.ProtocolStringList` | `getColTypesList()` | Deprecated.
`Map<String,​PlanProtocol.ColumnInfo>` | `getColumns()` | Deprecated.
`int` | `getColumnsCount()` | The columns
`Map<String,​PlanProtocol.ColumnInfo>` | `getColumnsMap()` | The columns
`PlanProtocol.ColumnInfo` | `getColumnsOrDefault​(String key, PlanProtocol.ColumnInfo defaultValue)` | The columns
`PlanProtocol.ColumnInfo` | `getColumnsOrThrow​(String key)` | The columns
`String` | `getDb()` | Database name - a table really needs db.schema.name to be uniquely referenced
`com.google.protobuf.ByteString` | `getDbBytes()` | Database name - a table really needs db.schema.name to be uniquely referenced
`static PlanProtocol.TableScanOperator` | `getDefaultInstance()` |
`PlanProtocol.TableScanOperator` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`long` | `getLimitVal()` | If there is no limit being applied, this is set to -1
`com.google.protobuf.Parser<PlanProtocol.TableScanOperator>` | `getParserForType()` |
`String` | `getSchema()` | The table schema
`com.google.protobuf.ByteString` | `getSchemaBytes()` | The table schema
`int` | `getSerializedSize()` |
`String` | `getStorageSpaceUuid()` | `string storage_space_uuid = 7;`
`com.google.protobuf.ByteString` | `getStorageSpaceUuidBytes()` | `string storage_space_uuid = 7;`
`String` | `getTableName()` | The table name
`com.google.protobuf.ByteString` | `getTableNameBytes()` | The table name
`String` | `getTableUuid()` | `string table_uuid = 6;`
`com.google.protobuf.ByteString` | `getTableUuidBytes()` | `string table_uuid = 6;`
`PlanProtocol.Disjunction` | `getTimeFilters​(int index)` | Time filter disjunctions
`int` | `getTimeFiltersCount()` | Time filter disjunctions
`List<PlanProtocol.Disjunction>` | `getTimeFiltersList()` | Time filter disjunctions
`PlanProtocol.DisjunctionOrBuilder` | `getTimeFiltersOrBuilder​(int index)` | Time filter disjunctions
`List<? extends PlanProtocol.DisjunctionOrBuilder>` | `getTimeFiltersOrBuilderList()` | Time filter disjunctions
`com.google.protobuf.UnknownFieldSet` | `getUnknownFields()` |
`int` | `hashCode()` |
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`protected com.google.protobuf.MapField` | `internalGetMapField​(int number)` |
`boolean` | `isInitialized()` |
`static PlanProtocol.TableScanOperator.Builder` | `newBuilder()` |
`static PlanProtocol.TableScanOperator.Builder` | `newBuilder​(PlanProtocol.TableScanOperator prototype)` |
`PlanProtocol.TableScanOperator.Builder` | `newBuilderForType()` |
`protected PlanProtocol.TableScanOperator.Builder` | `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)` |
`static PlanProtocol.TableScanOperator` | `parseDelimitedFrom​(InputStream input)` |
`static PlanProtocol.TableScanOperator` | `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.TableScanOperator` | `parseFrom​(byte[] data)` |
`static PlanProtocol.TableScanOperator` | `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.TableScanOperator` | `parseFrom​(com.google.protobuf.ByteString data)` |
`static PlanProtocol.TableScanOperator` | `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.TableScanOperator` | `parseFrom​(com.google.protobuf.CodedInputStream input)` |
`static PlanProtocol.TableScanOperator` | `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.TableScanOperator` | `parseFrom​(InputStream input)` |
`static PlanProtocol.TableScanOperator` | `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.TableScanOperator` | `parseFrom​(ByteBuffer data)` |
`static PlanProtocol.TableScanOperator` | `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static com.google.protobuf.Parser<PlanProtocol.TableScanOperator>` | `parser()` |
`PlanProtocol.TableScanOperator.Builder` | `toBuilder()` |
`void` | `writeTo​(com.google.protobuf.CodedOutputStream output)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newInstance, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

## Field Details

### SCHEMA_FIELD_NUMBER

public static final int SCHEMA_FIELD_NUMBER

See Also:
  Constant Field Values

### TABLENAME_FIELD_NUMBER

public static final int TABLENAME_FIELD_NUMBER

See Also:
  Constant Field Values

### COLNAMES_FIELD_NUMBER

public static final int COLNAMES_FIELD_NUMBER

See Also:
  Constant Field Values

### LIMITVAL_FIELD_NUMBER

public static final int LIMITVAL_FIELD_NUMBER

See Also:
  Constant Field Values

### DB_FIELD_NUMBER

public static final int DB_FIELD_NUMBER

See Also:
  Constant Field Values

### TABLE_UUID_FIELD_NUMBER

public static final int TABLE_UUID_FIELD_NUMBER

See Also:
  Constant Field Values

### STORAGE_SPACE_UUID_FIELD_NUMBER

public static final int STORAGE_SPACE_UUID_FIELD_NUMBER

See Also:
  Constant Field Values

### TIME_FILTERS_FIELD_NUMBER

public static final int TIME_FILTERS_FIELD_NUMBER

See Also:
  Constant Field Values

### COLTYPES_FIELD_NUMBER

public static final int COLTYPES_FIELD_NUMBER

See Also:
  Constant Field Values

### COLUMNS_FIELD_NUMBER

public static final int COLUMNS_FIELD_NUMBER

See Also:
  Constant Field Values

## Method Details

### getUnknownFields

public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetMapField

protected com.google.protobuf.MapField internalGetMapField​(int number)

Overrides:
  `internalGetMapField` in class `com.google.protobuf.GeneratedMessageV3`

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

### getSchema

public String getSchema()

    The table schema

`string schema = 1;`

Specified by:
  `getSchema` in interface `PlanProtocol.TableScanOperatorOrBuilder`

### getSchemaBytes

public com.google.protobuf.ByteString getSchemaBytes()

    The table schema

`string schema = 1;`

Specified by:
  `getSchemaBytes` in interface `PlanProtocol.TableScanOperatorOrBuilder`

### getTableName

public String getTableName()

    The table name

`string tableName = 2;`

Specified by:
  `getTableName` in interface `PlanProtocol.TableScanOperatorOrBuilder`

### getTableNameBytes

public com.google.protobuf.ByteString getTableNameBytes()

    The table name

`string tableName = 2;`

Specified by:
  `getTableNameBytes` in interface `PlanProtocol.TableScanOperatorOrBuilder`

### getColNamesList

@Deprecated public com.google.protobuf.ProtocolStringList getColNamesList()
Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 3 [deprecated = true];`

Specified by:
  `getColNamesList` in interface `PlanProtocol.TableScanOperatorOrBuilder`

### getColNamesCount

@Deprecated public int getColNamesCount()
Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 3 [deprecated = true];`

Specified by:
  `getColNamesCount` in interface `PlanProtocol.TableScanOperatorOrBuilder`

### getColNames

@Deprecated public String getColNames​(int index)
Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 3 [deprecated = true];`

Specified by:
  `getColNames` in interface `PlanProtocol.TableScanOperatorOrBuilder`

### getColNamesBytes

@Deprecated public com.google.protobuf.ByteString getColNamesBytes​(int index)
Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 3 [deprecated = true];`

Specified by:
  `getColNamesBytes` in interface `PlanProtocol.TableScanOperatorOrBuilder`

### getLimitVal

public long getLimitVal()

    If there is no limit being applied, this is set to -1

`int64 limitVal = 4;`

Specified by:
  `getLimitVal` in interface `PlanProtocol.TableScanOperatorOrBuilder`

### getDb

public String getDb()

    Database name - a table really needs db.schema.name to be uniquely referenced

`string db = 5;`

Specified by:
  `getDb` in interface `PlanProtocol.TableScanOperatorOrBuilder`

### getDbBytes

public com.google.protobuf.ByteString getDbBytes()

    Database name - a table really needs db.schema.name to be uniquely referenced

`string db = 5;`

Specified by:
  `getDbBytes` in interface `PlanProtocol.TableScanOperatorOrBuilder`

### getTableUuid

public String getTableUuid()
`string table_uuid = 6;`

Specified by:
  `getTableUuid` in interface `PlanProtocol.TableScanOperatorOrBuilder`

### getTableUuidBytes

public com.google.protobuf.ByteString getTableUuidBytes()
`string table_uuid = 6;`

Specified by:
  `getTableUuidBytes` in interface `PlanProtocol.TableScanOperatorOrBuilder`

### getStorageSpaceUuid

public String getStorageSpaceUuid()
`string storage_space_uuid = 7;`

Specified by:
  `getStorageSpaceUuid` in interface `PlanProtocol.TableScanOperatorOrBuilder`

### getStorageSpaceUuidBytes

public com.google.protobuf.ByteString getStorageSpaceUuidBytes()
`string storage_space_uuid = 7;`

Specified by:
  `getStorageSpaceUuidBytes` in interface `PlanProtocol.TableScanOperatorOrBuilder`

### getTimeFiltersList

public List<PlanProtocol.Disjunction> getTimeFiltersList()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 8;`

Specified by:
  `getTimeFiltersList` in interface `PlanProtocol.TableScanOperatorOrBuilder`

### getTimeFiltersOrBuilderList

public List<? extends PlanProtocol.DisjunctionOrBuilder> getTimeFiltersOrBuilderList()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 8;`

Specified by:
  `getTimeFiltersOrBuilderList` in interface `PlanProtocol.TableScanOperatorOrBuilder`

### getTimeFiltersCount

public int getTimeFiltersCount()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 8;`

Specified by:
  `getTimeFiltersCount` in interface `PlanProtocol.TableScanOperatorOrBuilder`

### getTimeFilters

public PlanProtocol.Disjunction getTimeFilters​(int index)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 8;`

Specified by:
  `getTimeFilters` in interface `PlanProtocol.TableScanOperatorOrBuilder`

### getTimeFiltersOrBuilder

public PlanProtocol.DisjunctionOrBuilder getTimeFiltersOrBuilder​(int index)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 8;`

Specified by:
  `getTimeFiltersOrBuilder` in interface `PlanProtocol.TableScanOperatorOrBuilder`

### getColTypesList

@Deprecated public com.google.protobuf.ProtocolStringList getColTypesList()
Deprecated.

    The string representation of the type of ALL output columns

`repeated string colTypes = 9 [deprecated = true];`

Specified by:
  `getColTypesList` in interface `PlanProtocol.TableScanOperatorOrBuilder`

### getColTypesCount

@Deprecated public int getColTypesCount()
Deprecated.

    The string representation of the type of ALL output columns

`repeated string colTypes = 9 [deprecated = true];`

Specified by:
  `getColTypesCount` in interface `PlanProtocol.TableScanOperatorOrBuilder`

### getColTypes

@Deprecated public String getColTypes​(int index)
Deprecated.

    The string representation of the type of ALL output columns

`repeated string colTypes = 9 [deprecated = true];`

Specified by:
  `getColTypes` in interface `PlanProtocol.TableScanOperatorOrBuilder`

### getColTypesBytes

@Deprecated public com.google.protobuf.ByteString getColTypesBytes​(int index)
Deprecated.

    The string representation of the type of ALL output columns

`repeated string colTypes = 9 [deprecated = true];`

Specified by:
  `getColTypesBytes` in interface `PlanProtocol.TableScanOperatorOrBuilder`

### getColumnsCount

public int getColumnsCount()
Description copied from interface: `PlanProtocol.TableScanOperatorOrBuilder`

     The columns

`map<string, .xg.db.sqlPlans.ColumnInfo> columns = 10;`

Specified by:
  `getColumnsCount` in interface `PlanProtocol.TableScanOperatorOrBuilder`

### containsColumns

public boolean containsColumns​(String key)

     The columns

`map<string, .xg.db.sqlPlans.ColumnInfo> columns = 10;`

Specified by:
  `containsColumns` in interface `PlanProtocol.TableScanOperatorOrBuilder`

### getColumns

@Deprecated public Map<String,​PlanProtocol.ColumnInfo> getColumns()
Deprecated.
Use `getColumnsMap()` instead.

Specified by:
  `getColumns` in interface `PlanProtocol.TableScanOperatorOrBuilder`

### getColumnsMap

public Map<String,​PlanProtocol.ColumnInfo> getColumnsMap()

     The columns

`map<string, .xg.db.sqlPlans.ColumnInfo> columns = 10;`

Specified by:
  `getColumnsMap` in interface `PlanProtocol.TableScanOperatorOrBuilder`

### getColumnsOrDefault

public PlanProtocol.ColumnInfo getColumnsOrDefault​(String key, PlanProtocol.ColumnInfo defaultValue)

     The columns

`map<string, .xg.db.sqlPlans.ColumnInfo> columns = 10;`

Specified by:
  `getColumnsOrDefault` in interface `PlanProtocol.TableScanOperatorOrBuilder`

### getColumnsOrThrow

public PlanProtocol.ColumnInfo getColumnsOrThrow​(String key)

     The columns

`map<string, .xg.db.sqlPlans.ColumnInfo> columns = 10;`

Specified by:
  `getColumnsOrThrow` in interface `PlanProtocol.TableScanOperatorOrBuilder`

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

### writeTo

public void writeTo​(com.google.protobuf.CodedOutputStream output) throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

### equals

public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

### parseFrom

public static PlanProtocol.TableScanOperator parseFrom​(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.TableScanOperator parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.TableScanOperator parseFrom​(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.TableScanOperator parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.TableScanOperator parseFrom​(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.TableScanOperator parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.TableScanOperator parseFrom​(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static PlanProtocol.TableScanOperator parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static PlanProtocol.TableScanOperator parseDelimitedFrom​(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static PlanProtocol.TableScanOperator parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static PlanProtocol.TableScanOperator parseFrom​(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static PlanProtocol.TableScanOperator parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public PlanProtocol.TableScanOperator.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

public static PlanProtocol.TableScanOperator.Builder newBuilder()

### newBuilder

public static PlanProtocol.TableScanOperator.Builder newBuilder​(PlanProtocol.TableScanOperator prototype)

### toBuilder

public PlanProtocol.TableScanOperator.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

protected PlanProtocol.TableScanOperator.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstance

public static PlanProtocol.TableScanOperator getDefaultInstance()

### parser

public static com.google.protobuf.Parser<PlanProtocol.TableScanOperator> parser()

### getParserForType

public com.google.protobuf.Parser<PlanProtocol.TableScanOperator> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstanceForType

public PlanProtocol.TableScanOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`